<?php
session_start();

if(isset($_SESSION['nomUsuario'])){
    $usuario = $_SESSION['nomUsuario'];
    $rol_usuario=$_SESSION['rolUsuario'];
    $id=$_SESSION['cveUsuario'];
    if ($rol_usuario == 'ADMINISTRADOR') {
        include("path/header.php");
    }else{
        echo "<script> 
               document.location.href='../functions/salir.php';
            </script>";
    }
    
}else{
  echo "<script> 
        document.location.href='/aqua-restaurant/';
    </script>";
}


?>
<div class="row">
    <div class="col-md-12 mb-lg-0">
        <div class="card mt-1 pb-0 p-2">
            <nav>
                <div class="nav nav-tabs" id="nav-tab" role="tablist">
                    <button class="nav-link active" id="nav-consulta-tab" data-bs-toggle="tab" data-bs-target="#nav-consulta" type="button" role="tab" aria-controls="nav-consulta" aria-selected="false">Productos Generales</button>
                    <button class="nav-link " id="nav-home-tab" data-bs-toggle="tab" data-bs-target="#nav-home" type="button" role="tab" aria-controls="nav-home" aria-selected="true">Productos por cocinero</button>
                    <button class="nav-link " id="nav-mesero-tab" data-bs-toggle="tab" data-bs-target="#nav-mesero" type="button" role="tab" aria-controls="nav-mesero" aria-selected="true">Ventas por mesero</button>
                    <!-- <button class="nav-link" id="nav-profile-tab" data-bs-toggle="tab" data-bs-target="#nav-profile" type="button" role="tab" aria-controls="nav-profile" aria-selected="false">Productos</button> -->
                     <button class="nav-link" id="nav-mas-vendido-tab" data-bs-toggle="tab" data-bs-target="#nav-mas-vendido" type="button" role="tab" aria-controls="nav-mas-vendido" aria-selected="false">Productos mas vendidos</button>
                     <button class="nav-link" id="nav-ejecutivo-tab" data-bs-toggle="tab" data-bs-target="#nav-ejecutivo" type="button" role="tab" aria-controls="nav-ejecutivo" aria-selected="false">Ejecutivo</button>
                </div>
            </nav>
            <div class="tab-content" id="nav-tabContent">
                <div class="tab-pane fade show active" id="nav-consulta" role="tabpanel" aria-labelledby="nav-consulta-tab">
                    <div class="card">
                        <div class="p-3 pt-2">
                            <div class="row">
                                
                                <div class="col-md-2">
                                    <label class="form-label"><h5>Del Dia:</h5></label>
                                    <div class="input-group input-group-outline mb-1">
                                        <input class="form-control from_date" type="date" id="from_date" name="from_date" value="">
                                    </div>
                                </div>
                                <div class="col-md-2">
                                <label class="form-label"><h5> Hasta  el Dia</h5></label>
                                    <div class="input-group input-group-outline mb-1">
                                        <input class="form-control to_date" type="date" id="to_date" name="to_date" value="">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                <label class="form-label"><h5>Ir</h5></label>
                                    <div class="input-group input-group-outline mb-1">
                                        <label><b></b></label> <br>
                                    <button type="button" class="btn btn-primary" id="buscarProductosCons">Buscar</button>
                                    <div style="height:15px;"></div>
                                    <button type="button" class="btn btn-secondary" onclick="Limpiar2()">Limpiar</button>
                                    <div style="height:15px;"></div>
                                    <button type="button" class="btn btn-success" onclick="">Excel</button>
                                    <div style="height:15px;"></div>
                                    <button type="button" class="btn btn-danger" onclick="">PDF</button>
                                    </div>
                                    <input type="hidden" value="0" id="fechaValida">
                                </div>
                                
                            </div>
                            <div class="row pb-1">
                                    <div class="col-md-8">
                                        <b>Cantidad de Productos Vendidos: </b>
                                        <b id="cant_productos"></b>
                                    </div>
                                    <div class="col-md-4">
                                        <b>Total de Ganancia:  </b>
                                        <b id="ganancias_productos">$ </b>
                                    </div>
                                    
                            </div>    
                            <div class="table-responsive">
                                <table class="" id="tabla_consultas" style="width:100%;">
                                    <thead style="background: #052659;" >
                                        <tr>
                                            <th scope="col">Producto</th>
                                            <th scope="col">Cantidad</th>
                                            <th scope="col">Precio</th>
                                            <th scope="col">Total</th>              
                                        </tr>
                                    </thead>
                                    <tbody></tbody>
                                </table>
                                
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane fade" id="nav-home" role="tabpanel" aria-labelledby="nav-home-tab">
                    <div class="card">
                        <div class="p-3 pt-2">
                            <div class="row">
                                
                                <div class="col-md-2">
                                    <label class="form-label"><h5>Del Dia:</h5></label>
                                    <div class="input-group input-group-outline mb-1">
                                        <input class="form-control from_date" type="date" id="from_date2" name="from_date" value="">
                                    </div>
                                </div>
                                <div class="col-md-2">
                                <label class="form-label"><h5> Hasta  el Dia</h5></label>
                                    <div class="input-group input-group-outline mb-1">
                                        <input class="form-control to_date" type="date" id="to_date2" name="to_date" value="">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                <label class="form-label"><h5>Ir</h5></label>
                                    <div class="input-group input-group-outline mb-1">
                                        <label><b></b></label> <br>
                                    <button type="button" class="btn btn-primary" id="buscarNota">Buscar</button>
                                    <div style="height:15px;"></div>
                                    <button type="button" class="btn btn-secondary" onclick="Limpiar()">Limpiar</button>
                                    <div style="height:15px;"></div>
                                    <button type="button" class="btn btn-success" onclick="">Excel</button>
                                    <div style="height:15px;"></div>
                                    <button type="button" class="btn btn-danger" onclick="">PDF</button>
                                    </div>
                                    <input type="hidden" value="0" id="fechaValida">
                                </div>
                                
                            </div>
                            <div class="row pb-1">
                                    <div class="col-md-8">
                                        <b>Cantidad de Productos Vendidos: </b>
                                        <b id="cant_ventas"></b>
                                    </div>
                                    <div class="col-md-4">
                                        <b>Total de Ganancia:  </b>
                                        <b id="ganancias">$ </b>
                                    </div>
                                    
                            </div>    
                            <div class="table-responsive">
                                <table class="" id="tabla_ventas" style="width:100%;">
                                    <thead style="background: #052659;" >
                                        <tr>
                                            <th scope="col">Cocinero</th>
                                            <th scope="col">Producto</th>
                                            <th scope="col">Cantidad</th>
                                            <th scope="col">Precio</th>
                                            <th scope="col">Total</th>              
                                        </tr>
                                    </thead>
                                    <tbody></tbody>
                                </table>
                                
                            </div>
                        </div>
                    </div>
                </div>
                <!-- <div class="tab-pane fade" id="nav-profile" role="tabpanel" aria-labelledby="nav-profile-tab">
                    <div class="card">
                        <div class="card-body px-0">
                            <div class="row mt-2">
                                <div class="col-2 d-flex justify-content-center align-items-center">
                                    <button class="btn btn-primary text-white h6" id="btn-semanal">Semanal</button>
                                </div>
                                <div class="col-2 d-flex justify-content-center align-items-center">
                                    <button class="btn btn-info text-white h6" id="btn-mensual">Mensual</button>
                                </div>
                                <div class="col-4">
                                    
                                </div>
                            </div>
                            
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            <div class="card my-1">
                                <div class="card-body px-0">
                                    <div class="table-responsive table-responsive-sm" >
                                        <table class="table compact nowrap" id="ProductsTable" style="width:100%;">
                                            <thead style="background: #052659;" >
                                                <tr>
                                                    <th class="align-middle text-center" style="width:100px">Cocinero</th>
                                                    <th class="align-middle text-center" style="width:600px">Producto</th>
                                                    <th class="align-middle text-center" style="width:100px">Cantidad</th>
                                                    <th class="align-middle text-center" style="width:100px">Precio</th>
                                                    <th class="align-middle text-center" style="width:100px">Total</th>              
                                                </tr>
                                            </thead>
                                            <tbody></tbody>
                                        </table>
                                    </div>
                                </div>  
                            </div>
                        </div>
                    </div>
                </div> -->
            </div>
        </div>
    </div>
</div>

<script src="../assets/js/jquery-3.5.1.min.js">
</script><script src="../assets/lib/dataTable/datatables.min.js?v=1.0.0.0"></script>
<script type="text/javascript">
    $(document).ready(function () {
        
        $('#buscarNota').on('click', function(){
            let from_date = $('#from_date2').val();
            let to_date = $('#to_date2').val();
            getVentasPorCocinero(from_date, to_date);
            getTotales(from_date, to_date);
        })

        $('#buscarProductosCons').on('click', function(){
            let from_date = $('#from_date').val();
            let to_date = $('#to_date').val();
            getVentasPrd(from_date, to_date);
        })
        $('#tabla_ventas').DataTable({
          //order: [[8, 'Desc']],
          ordering: false,
          dom: 'Blfrtip',
          searching: false,  
          lengthChange: false,
          /* select: {
              style: 'single',
              info: false,
          }, */
          buttons: [
           /*  {
                //Botón para Excel
                extend: 'excel',
                footer: true,
                title: 'Reporte de Productos Vendidos por Cocinero',
                filename: 'reporte_cocineros',
                //Aquí es donde generas el botón personalizado
                text: '<button class="btn btn-excel">Excel</button>',
            },
            {
                //Botón para PDF
                extend: 'pdf',
                footer: true,
                title: 'Reporte de Productos Vendidos por Cocinero',
                filename: 'reporte_cocineros',
                //Aquí es donde generas el botón personalizado
                text: '<button class="btn btn-pdf">Pdf</button>',
            } */],
          pagingType: 'simple_numbers',
          language: {
              url: '../assets/lib/dataTable/spanish.json',
          },
          paging: false,
          scrollY: 'calc(90vh - 300px)',
          scrollX: true,
          fixedHeader: true,
          columns: [
              {data: 'Cocinero', class: ' col-table text-center tb col_table_prd'},
              {data: 'Producto', class: ' col-table text-center  col_table_prd'},
              {data: 'Cantidad', class: ' text-center col_table_prd'},
              {data: 'Precio', class: ' text-center  col_table_prd'},
              {data: 'Total', class: ' text-center  col_table_prd'},
          ],
        });

        $('#tabla_consultas').DataTable({
          //order: [[8, 'Desc']],
          ordering: false,
          dom: 'Blfrtip',
          searching: false,  
          lengthChange: false,
          /* select: {
              style: 'single',
              info: false,
          }, */
          buttons: [
            /* {
                //Botón para Excel
                extend: 'excel',
                footer: true,
                title: 'Reporte de Productos Genereles',
                filename: 'productos_generales',
                //Aquí es donde generas el botón personalizado
                text: '<button class="btn btn-excel">Excel</button>',
            },
            {
                //Botón para PDF
                extend: 'pdf',
                footer: true,
                title: 'Reporte de Productos Genereles',
                filename: 'productos_generales',
                //Aquí es donde generas el botón personalizado
                text: '<button class="btn btn-pdf">Pdf</i></button>',
            } */],
          pagingType: 'simple_numbers',
          language: {
              url: '../assets/lib/dataTable/spanish.json',
          },
          paging: false,
          scrollY: 'calc(90vh - 300px)',
          scrollX: true,
          fixedHeader: true,
          columns: [
              {data: 'Producto', class: ' col-table text-center  col_table_prd'},
              {data: 'Cantidad', class: ' text-center col_table_prd'},
              {data: 'Precio', class: ' text-center  col_table_prd'},
              {data: 'Total', class: ' text-center  col_table_prd'},
          ],
        });
        $('#ProductsTable').DataTable({
          //order: [[8, 'Desc']],
          ordering: false,
          dom: 'Blfrtip',
          searching: false,  
          lengthChange: false,
          /* select: {
              style: 'single',
              info: false,
          }, */
          buttons: [/* {
                //Botón para Excel
                extend: 'excel',
                footer: true,
                title: 'Reporte de Productos Vendidos por Cocinero',
                filename: 'reporte_cocineros',
                //Aquí es donde generas el botón personalizado
                text: '<button class="btn btn-excel">Excel</button>',
            },
            {
                //Botón para PDF
                extend: 'pdf',
                footer: true,
                title: 'Reporte de Productos Vendidos por Cocinero',
                filename: 'reporte_cocineros',
                //Aquí es donde generas el botón personalizado
                text: '<button class="btn btn-pdf">Pdf</button>',
            } */],
          pagingType: 'simple_numbers',
          language: {
              url: '../assets/lib/dataTable/spanish.json',
          },
          paging: false,
          scrollY: 'calc(100vh - 300px)',
          scrollX: true,
          fixedHeader: true,
          columns: [
              {data: 'Cocinero_prod', class: 'col-table text-center tb col_table_prd'},
              {data: 'Producto_prod', class: 'col-table text-center col_table_prd'},
              {data: 'Cantidad_prod', class: 'text-center col_table_prd'},
              {data: 'Precio_prod', class: 'text-center  col_table_prd'},
              {data: 'Total_prod', class: 'text-center  col_table_prd'},
          ],
        });
        $('#btn-semanal').on('click', function(){
            getProductsMoreCooked(1);
        })
        $('#btn-mensual').on('click', function(){
            getProductsMoreCooked(2);
        })
    })
    /** FUNCION AJAX */
    function ajax_function(pagina, datos, dtipo, tipo, selector){
        $.ajax({
        type: tipo,
        dataType: dtipo,
        data: datos,
        url: pagina,
        success: function (respuesta) {
            selector(respuesta)
        }, error(e) {
            console.log(e);
        }
        });
    }

    function getVentasPorCocinero(from_date, to_date){
        console.log(from_date, to_date);
        let pagina = '../functions/reportes/list_ventas.php'; 
        let datos = {from_date: from_date, to_date:  to_date }; 
        let dtipo = "JSON"; 
        let tipo = "POST"; 
        let selector = putVentas;
        ajax_function(pagina, datos, dtipo, tipo, selector);
    }
    function putVentas(dt){
        console.log(dt);
        let tabla = $('#tabla_ventas').DataTable()
        
        tabla.rows().remove().draw();
        if (dt[0].id > 0) {
            $.each(dt, function (v, u) {
                let pdn_precio = '$ '+ parseFloat(u.pdn_precio).toFixed(2) 
                let total  = '$ '+ parseFloat(u.total).toFixed(2) 
            
                tabla.row
                .add({
                    Cocinero: u.uss_nombre ,
                    Producto: u.pro_nombre,
                    Cantidad: u.cant_productos,
                    Precio: pdn_precio,
                    Total: total,
                })
                .draw();
            })
        }
        

    }

    function getVentasPrd(from_date, to_date){
        console.log(from_date, to_date);
        let pagina = '../functions/reportes/list_ventas_2.php'; 
        let datos = {from_date: from_date, to_date:  to_date }; 
        let dtipo = "JSON"; 
        let tipo = "POST"; 
        let selector = putVentasPrd;
        ajax_function(pagina, datos, dtipo, tipo, selector);
    }
    function putVentasPrd(dt){
        console.log(dt);
        let tabla = $('#tabla_consultas').DataTable()
        let total_cant = 0
        let total_ganc = 0
        
        tabla.rows().remove().draw();
        if (dt[0].id > 0) {
            $.each(dt, function (v, u) {
            
                let pdn_precio = '$ '+ parseFloat(u.pdn_precio).toFixed(2) 
                let total  = '$ '+ parseFloat(u.total).toFixed(2) 
                tabla.row
                .add({
                    Producto: u.pro_nombre,
                    Cantidad: u.cant_productos,
                    Precio: pdn_precio,
                    Total: total,
                })
                .draw();
                total_cant = total_cant + parseFloat(u.cant_productos)
                total_ganc = total_ganc + parseFloat(u.total)
            })
        }
        $('#cant_productos').text(total_cant);
        $('#ganancias_productos').text('$'+total_ganc.toFixed(2));

    }
    function getTotales(from_date, to_date){
        let pagina = '../functions/reportes/totales_venta.php'; 
        let datos = {from_date: from_date, to_date:  to_date}; 
        let dtipo = "JSON"; 
        let tipo = "POST"; 
        let selector = putTotales;
        ajax_function(pagina, datos, dtipo, tipo, selector);
    }
    function putTotales(dt){
        console.log(dt);
        $('#cant_ventas').text(dt[0].cant_productos);
        $('#ganancias').text('$'+parseFloat(dt[0].total).toFixed(2));
    }

    function getProductsMoreCooked(opc){
        let today = getWeekDayNumber()
        let pagina = '../functions/reportes/list_products_more_cooked.php'; 
        let datos = {from_date: '', to_date:  '', opc: opc, number: today}; 
        let dtipo = "JSON"; 
        let tipo = "POST"; 
        let selector = putProductsMoreCooked;
        ajax_function(pagina, datos, dtipo, tipo, selector);
    }
    function putProductsMoreCooked(dt){
        /* console.log(dt); */
        let tabla = $('#ProductsTable').DataTable();
        tabla.rows().remove().draw();
        if (dt[0].pro_id > 0) {
            $.each(dt, function (v, u) {
                let pro_precio_venta = '$ '+ parseFloat(u.pro_precio_venta).toFixed(2) 
                let total  = '$ '+ parseFloat(u.total).toFixed(2) 
                tabla.row
                .add({
                    Cocinero_prod: u.uss_nombre ,
                    Producto_prod: u.pro_nombre,
                    Cantidad_prod: u.cant,
                    Precio_prod: pro_precio_venta,
                    Total_prod: total,
                })
                .draw();
            })
        }
        

    }
    function getWeekDayNumber(){
        let today = new Date();
        let today_number = today.getDay();
        
        if (today_number == 0) {
            today_number = 7;
        }
        return today_number;
    }

    function Limpiar2(){
        $('#cant_productos').text('0');
        $('#ganancias_productos').text('$ 0.00');
        $('#from_date').val('');
        $('#to_date').val('');

        let tabla = $('#tabla_consultas').DataTable();
        tabla.rows().remove().draw();
    }

    function Limpiar(){
        $('#cant_ventas').text('0');
        $('#ganancias').text('$ 0.00');
        $('#from_date2').val('');
        $('#to_date2').val('');

        let tabla = $('#tabla_ventas').DataTable();
        tabla.rows().remove().draw();
    }

</script>

<!--@Footer-->
<?php
include("path/footer.php");
?>